package edu.mermet.tp8.fenetres;

import java.awt.BorderLayout;
import java.awt.Point;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.print.attribute.standard.JobMessageFromOperator;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.ButtonGroup;
import javax.swing.InputMap;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButtonMenuItem;
import javax.swing.JRootPane;
import javax.swing.KeyStroke;

public class MyJDialog extends JDialog {

	private ButtonGroup ConversionGroupe;
	private ButtonGroup TextGroupe;
	private ButtonGroup DiaporamaGroupe;
	private ButtonGroup ButtonGroupe;

	public MyJDialog(JFrame parent, String title, String message) {
		super(parent, title);

		// set the position of the window
		Point p = new Point(400, 400);
		setLocation(p.x, p.y);
		
		JPanel panel1 = new JPanel();
		JPanel PanelConvesion = new JPanel();
		// création d'un groupe conversion pour selectionner une seul choix 
		ConversionGroupe = new ButtonGroup();
		
		JLabel messag = new JLabel("Conversion celsuis/Farenheit ");
		JRadioButtonMenuItem Auto = new JRadioButtonMenuItem(" Auto	  ");
		JRadioButtonMenuItem Affiche = new JRadioButtonMenuItem(" Affiché ");
		JRadioButtonMenuItem cache = new JRadioButtonMenuItem(" caché ");

		ConversionGroupe.add(cache);
		ConversionGroupe.add(Affiche);
		ConversionGroupe.add(Auto);
		
		PanelConvesion.add(messag);
		PanelConvesion.add(Auto);
		PanelConvesion.add(Affiche);
		PanelConvesion.add(cache);
		
		add(PanelConvesion, BorderLayout.CENTER);

		//panel1.add(PanelConvesion,BorderLayout.NORTH);

			
		JPanel PanelText = new JPanel();
		// création d'un groupe Text pour selectionner une seul choix 
		TextGroupe = new ButtonGroup();

		JLabel messag1 = new JLabel("saisie le text  ");
		JRadioButtonMenuItem Auto1 = new JRadioButtonMenuItem(" Auto  ");
		JRadioButtonMenuItem Affiche1 = new JRadioButtonMenuItem(" Affiché ");
		JRadioButtonMenuItem cache1 = new JRadioButtonMenuItem(" caché ");

		TextGroupe.add(cache);
		TextGroupe.add(Affiche);
		TextGroupe.add(Auto);
		
		PanelText.add(messag1);
		PanelText.add(Auto1);
		PanelText.add(Affiche1);
		PanelText.add(cache1);
		
		//panel1.add(PanelText,BorderLayout.SOUTH);
		add(panel1, BorderLayout.CENTER);

		
		JPanel PanelDiaporama = new JPanel();
		// création d'un groupe DiaporamaGroupe pour selectionner une seul choix 
		DiaporamaGroupe = new ButtonGroup();
		
		JLabel messag2 = new JLabel("Diaporama");
		JRadioButtonMenuItem Auto2 = new JRadioButtonMenuItem(" Auto	 ");
		JRadioButtonMenuItem Affiche2 = new JRadioButtonMenuItem(" Affiché ");
		JRadioButtonMenuItem cache2 = new JRadioButtonMenuItem(" caché ");

		DiaporamaGroupe.add(cache);
		DiaporamaGroupe.add(Affiche);
		DiaporamaGroupe.add(Auto);
		
		PanelDiaporama.add(messag2);
		PanelDiaporama.add(Auto2);
		PanelDiaporama.add(Affiche2);
		PanelDiaporama.add(cache2);
		
		add(PanelDiaporama, BorderLayout.SOUTH);

		JPanel PanelButton = new JPanel();
		// création d'un groupe ButtonGroupe pour selectionner une seul choix 
		ButtonGroupe = new ButtonGroup();

		JLabel messag3 = new JLabel("Buttons");
		JRadioButtonMenuItem Auto3 = new JRadioButtonMenuItem(" Auto	 ");
		JRadioButtonMenuItem Affiche3 = new JRadioButtonMenuItem(" Affiché ");
		JRadioButtonMenuItem cache3 = new JRadioButtonMenuItem(" caché ");

		ButtonGroupe.add(cache);
		ButtonGroupe.add(Affiche);
		ButtonGroupe.add(Auto);
		
		PanelButton.add(messag3);
		PanelButton.add(Auto3);
		PanelButton.add(Affiche3);
		PanelButton.add(cache3);
	

		// Create a button
		JPanel buttonPane = new JPanel();
		JButton Valid = new JButton("Valider");
		buttonPane.add(Valid);

		JButton Annuler = new JButton("Annuler");
		buttonPane.add(Annuler);
		
		getContentPane().add(buttonPane, BorderLayout.PAGE_END);
		// set action listener on the button
		Valid.addActionListener(new MyActionListenerValider());
		Annuler.addActionListener(new MyActionListenerAnnuler());

		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		pack();
		setVisible(true);
	}



	// an action listener to be used when an action is performed
	// (e.g. button is pressed)
	class MyActionListenerAnnuler implements ActionListener {

		//close and dispose of the window.
		public void actionPerformed(ActionEvent e) {
			System.out.println("disposing the window..");
			setVisible(false);
			dispose();
		}
	}
	class MyActionListenerValider implements ActionListener {

		//close and dispose of the window.
		public void actionPerformed(ActionEvent e) {
			System.out.println("disposing the window..");
			setVisible(false);
			dispose();
		}
	}
}